Skip to main content
GET
/
crm
/
details
Get contact details
curl --request GET \
  --url https://api.example.com/crm/details \
  --header 'Authorization: Bearer <token>'
{
  "item": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "noShowCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "phoneNumber": "<string>",
    "language": "<string>",
    "tags": [
      "<string>"
    ],
    "notes": "<string>",
    "crmCompanyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "additionalData": {}
  },
  "appointments": [
    {}
  ],
  "nextAppointmentIso": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key authentication using Bearer token (format: ak_live_...)

Query Parameters

contactId
string<uuid>

Contact ID

attendeeId
string<uuid>

Attendee ID linked to the contact

Response

Contact details

item
object
required
appointments
object[]
required

Past and upcoming appointments for this contact

nextAppointmentIso
string<date-time> | null

ISO date of the next upcoming appointment, if any